/// SPDX-License-Identifier: GPL-3.0-or-later
/// SPDX-FileCopyrightText: Copyright © 2016-2021 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

// Convenient alias for the JS-native Set and Map types.

export type IdentitySet<T> = Set<T>;
export const IdentitySet = Set;

export type IdentityMap<K,V> = Map<K,V>;
export const IdentityMap = Map;
